Skip to main content
POST
/
media-bridge
/
2026-03
/
objects
cURL
curl --request POST \
  --url https://api.hubapi.com/media-bridge/2026-03/objects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mediaType": "VIDEO",
  "title": "<string>",
  "duration": 123,
  "fileUrl": "<string>",
  "detailsPageLink": "<string>",
  "thumbnailUrl": "<string>",
  "posterUrl": "<string>",
  "externalId": "<string>",
  "oembedUrl": "<string>",
  "bearerToken": "<string>",
  "transcriptUrl": "<string>"
}
'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "mediaType": "AUDIO",
  "title": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "detailsPageLink": "<string>",
  "duration": 123,
  "externalId": "<string>",
  "fileUrl": "<string>",
  "oembedUrl": "<string>",
  "posterUrl": "<string>",
  "thumbnailUrl": "<string>",
  "video": {
    "deeplinkUrl": "<string>",
    "fileId": 123,
    "id": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
mediaType
enum<string>
default:VIDEO
required
Available options:
VIDEO
title
string
required
duration
integer<int64>
fileUrl
string
thumbnailUrl
string
posterUrl
string
externalId
string
oembedUrl
string
bearerToken
string
transcriptUrl
string

Response

successful operation

createdAt
string<date-time>
required
id
string
required
mediaType
enum<string>
required
Available options:
AUDIO,
DOCUMENT,
IMAGE,
OTHER,
VIDEO
title
string
required
updatedAt
string<date-time>
required
duration
integer<int64>
externalId
string
fileUrl
string
oembedUrl
string
posterUrl
string
thumbnailUrl
string
video
object
Last modified on May 15, 2026